Subject: Re: [GSoC 2011 v2] Git Sequencer

From: Ramkumar Ramachandra <[email-masked]>
Date: Wed, 6 Apr 2011 14:31:19 +0530

Hi Christian,

Christian Couder writes:
> On Tue, Apr 5, 2011 at 10:00 PM, Ramkumar Ramachandra
> <[email-masked]> wrote:
> >
> > 2. Build a sequencer so that just has cherry-picking functionality.
> > This mostly involves moving code written in (1) around, and crafting a
> > general API for handling conflicts.
> >
> > 2.1. Factor out the 'cherry-pick' code from 'revert.c' into a new
> > 'builtin/sequencer.c'.
> >
> > 2.2. Write an API for handling conflicts, so that the sequencer is
> > ultimate entry/ exit point for all user intervention in a multi-step
> > process [4].
> 
> This one may be more difficult than we can guess right now, and it is
> linked with 2.4 that is optional too. And I wouldn't like you to spend
> too much time on it if it appears to be quite difficult. So I'd
> suggest that you switch 2.2 and 2.3 and make the new 2.3 optional.
> 
> [...]

Okay.  Fixed other nits as well.

Thanks.

-- Ram